Number of modules failing to install

Posted by jfisher100 on 2015-09-21 12:41
Forums: PPM | OS: Windows x64

I had to downgrade from Perl 5.20 to 5.18.4 a few days ago. Now, a number of modules I need for Bugzilla will not install:
ppm install Net-SMTP-SSL, JSON-RPC, etc.
Error is "... failed 500 write failed: Bad file descriptor"
I am trying to install in a DOS window with Admin privs.
3/4 of the modules that I selected installed fine. The other 1/4 have this issue.

Please advise.

grahams
ActiveState Staff
Mon, 2015-09-28 09:18

A binary doesn't have the characteristics that are expected.

In a down/upgrade situation, that often means that some of the binaries from the previous version did not get removed. This is a manual operation because the uninstaller can only remove components that were included in the original manifest. Any downloaded or locally compiled module contents will be left behind to cause problems.

Try doing a clean uninstall. Run the uninstaller for Perl, and then manually delete the entire remaining contents of the Perl folder before re-installing.